
I was in the hospital room standing in my gown. Shortly after I delivered, my mother was standing several feet away and my boyfriend, at the time, was next to me. I cannot recall the reason I was standing. It may have been because I had to go to the bathroom. I remember my mother began talking to me and all of a sudden, she sounded so far away. It was exactly as if she was in a tunnel. Then I began to hear beautiful soft sounds of bells all around me. Everything around me appeared to be immersed in white, as if we were in the middle of a fluffy white cloud. I told my mom that I was hearing bells all around and that she sounded so far away, as if in tunnel. Then I looked down and saw blood running down my leg. When I came to, I was on my knees. Apparently I had lost consciousness and was being held up by my boyfriend (at the time), while the nurses that surrounded me brought me back to consciousness. Nevertheless, I never forgot that day.
